com.tibbo.aggregate.common.context

## Class FireChangeEventRequestController

- java.lang.Object
- - com.tibbo.aggregate.common.context.DefaultRequestController
  - - com.tibbo.aggregate.common.event.FireEventRequestController
    - - com.tibbo.aggregate.common.context.FireChangeEventRequestController

- All Implemented Interfaces:
    RequestController, PinpointAware

      public class FireChangeEventRequestController
      extends FireEventRequestController

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FireChangeEventRequestController(java.lang.Long customExpirationPeriod, VariableDefinition def, DataTable value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Event` | `process(Event event)`

    - ### Methods inherited from class com.tibbo.aggregate.common.event.FireEventRequestController

      `getCustomExpirationPeriod, getServerId, isIgnoreStorageErrors, isSuppressIfNotEnoughMemory, setCustomExpirationPeriod, setIgnoreStorageErrors, setServerId, setSuppressIfNotEnoughMemory`

    - ### Methods inherited from class com.tibbo.aggregate.common.context.DefaultRequestController

      `assignPinpoint, getEvaluator, getLockTimeout, getOriginator, getQueue, isLoggerRequest, isReplyRequired, obtainPinpoint, setEvaluator, setReplyRequired`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.tibbo.aggregate.common.structure.PinpointAware

      `assignPinpoint, removePinpoint`

- - ### Constructor Detail

    - #### FireChangeEventRequestController

          public FireChangeEventRequestController(java.lang.Long customExpirationPeriod,
                                                  VariableDefinition def,
                                                  DataTable value)

  - ### Method Detail

    - #### process

          public Event process(Event event)

      Overrides:
        `process` in class `FireEventRequestController`